#include <bits/stdc++.h>
#define endl '\n'
using namespace std;
void speed()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
}
const int maxn=1e6+100;
int n,k;
int a[maxn];
void read()
{
    cin>>n>>k;
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }
}
void solve()
{
    int ans=0;
    int sor=0;
    int inter=0;
    int br=1;
    for(int i=1;i<=2000;i++)
    {
        for(int j=1;j<=n;j++)
        {
            sor=sor|a[j]; 
            if(sor&i==i)
            {       
                br++;
                //inter=j+1;
                sor=0;
            }
        }
        if(br>=k) ans=i;
    }
    cout<<ans<<endl;
}
int main()
{
    speed();
    solve();
    return 0;
}
